Name:          mqtt-client
Version:       1.10
Release:       5%{?dist}
Summary:       A Java MQTT Client
License:       ASL 2.0
URL:           http://mqtt-client.fusesource.org/
Source0:       https://github.com/fusesource/mqtt-client/archive/%{name}-project-%{version}.tar.gz

BuildRequires: mvn(asm:asm-tree)
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf)
BuildRequires: mvn(org.fusesource.hawtdispatch:hawtdispatch-transport)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)

# test deps (*)
%if 0
BuildRequires: mvn(org.apache.activemq:apollo-broker)
BuildRequires: mvn(org.apache.activemq:apollo-mqtt)
BuildRequires: mvn(org.apache.activemq:apollo-leveldb)
BuildRequires: mvn(org.apache.activemq:apollo-web)
BuildRequires: mvn(org.eclipse.jetty.aggregate:jetty-all-server)

BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
%endif

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
mqtt-client provides an ASL 2.0 licensed API to MQTT. It takes care of 
automatically reconnecting to your MQTT server and restoring your client 
session if any network failures occur. Applications can use a blocking 
API style, a futures based API, or a callback/continuations passing API 
style.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

# fix spurious executable perm
chmod 644 readme.md

%pom_disable_module mqtt-client-java1.4-uber
%pom_disable_module mqtt-client-website

%pom_remove_plugin :proguard-maven-plugin %{name}

%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:scope='test']" %{name}

%pom_xpath_set "pom:properties/pom:asm-version" 3 

%mvn_file :%{name} %{name}

%build

# test skip for unavailable deps (*)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc readme.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 20 2015 gil cattaneo <puntogil@libero.it> 1.10-1
- update to 1.10

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 1.5-7
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.5-5
- Use Requires: java-headless rebuild (#1067528)

* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 1.5-4
- use objectweb-asm3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 1.5-2
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.5-1
- update to 1.5

* Thu Aug 30 2012 gil cattaneo <puntogil@libero.it> 1.3-1
- update to 1.3

* Tue May 22 2012 gil cattaneo <puntogil@libero.it> 1.2-1
- initial rpm
